#
# spec file for package kgpg
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kgpg
Version:        4.9.97
Release:        0
Summary:        Encryption Tool
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://www.kde.org
Source0:        kgpg-%{version}.tar.xz
Patch1:         kgpg-autostart.diff
BuildRequires:  libkdepimlibs4-devel
BuildRequires:  xz
Requires:       gpg2
Requires:       kdepim4-runtime
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
%kde4_pimlibs_requires

%description
Kgpg is a simple GUI for gpg

%prep
%setup -q -n kgpg-%{version}
%patch1

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%kde4_makeinstall
%suse_update_desktop_file kgpg Utility Security
%kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%_kde4_bindir/kgpg
%_kde4_applicationsdir/*.desktop
%{_datadir}/autostart/*.desktop
%{_datadir}/dbus-1/interfaces/*.xml
%_kde4_htmldir/en/kgpg/
%_kde4_iconsdir/hicolor/*/*/*.png
%_kde4_appsdir/kgpg/
%_kde4_configkcfgdir/*.kcfg
%_kde4_servicesdir/ServiceMenus/*.desktop

%changelog
